# Execute BLIK Recurring Payment

See https://docs.simpay.pl/payment/blik-recurrent for more information.

Endpoint: POST /payment/{serviceId}/blik/subscriptions/{subscriptionId}/autopayment
Version: 1.0.0
Security: bearerAuth

## Path parameters:

  - `serviceId` (string, required)
    Service ID

  - `subscriptionId` (string, required)
    Subscription ID

## Request fields (application/json):

  - `transactionId` (string, required)
    Transaction ID

  - `attempt` (integer,null)
    Retry number of the Recurring Payment

  - `descriptions` (object,null)
    Additional descriptions passed to the payer's bank

  - `descriptions.line1` (string,null)
    Line no. 1

  - `descriptions.line2` (string,null)
    Line no. 2

  - `descriptions.line3` (string,null)
    Line no. 3

  - `alias` (object,null)
    Alias information

  - `alias.label` (string,null)
    New subscription label value visible in the payer’s banking application

  - `alias.noDelay` (boolean,null)
    noDelay flag (see more in the BLIK Recurring Payments section)

## Response 200 fields (application/json):

  - `success` (boolean, required)
    Request status
    Example: true

  - `data` (object, required)
    Example: {"needsUserConfirmation":false}

  - `data.needsUserConfirmation` (boolean, required)
    If false – the transaction was immediately forwarded to BLIK. If true – the antifraud system detected risk and the transaction is awaiting manual confirmation by the payer

## Response 400 fields (application/json):

  - `success` (boolean, required)
    Request status

  - `errorCode` (string, required)
    Error status code
    Example: "INVALID_BLIK_CODE"

  - `message` (string, required)
    Error message
    Example: "Invalid BLIK code."

## Response 401 fields (application/json):

  - `success` (boolean, required)
    Request status

  - `errorCode` (string, required)
    Error status code
    Enum: "UNAUTHORIZED"

## Response 403 fields (application/json):

  - `success` (boolean, required)
    Request status

  - `errorCode` (string, required)
    Error status code
    Enum: "INVALID_ABILITY_PROVIDED", "IP_ADDRESS_NOT_WHITELISTED"

## Response 404 fields (application/json):

  - `success` (boolean, required)
    Request status

  - `errorCode` (string, required)
    Error status code
    Enum: "SERVICE_NOT_FOUND", "TRANSACTION_NOT_FOUND", "ROUTE_NOT_FOUND"

## Response 422 fields (application/json):

  - `success` (boolean, required)
    Request status

  - `errorCode` (string, required)
    Error status code
    Enum: "VALIDATION_ERROR"

  - `errors` (object, required)
    Example: {"amount":["The amount field is required."],"currency":["The selected currency is invalid."]}

  - `errors.amount` (array)
    Example: ["The amount field is required."]


